# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/TOP-RunIISummer15GS-00013-fragment.py --filein dbs:/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/RunIIWinter15wmLHE-MCRUN2_71_V1-v1/LHE --fileout file:TOP-RunIISummer15GS-00013.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/TOP-RunIISummer15GS-00013/TOP-RunIISummer15GS-00013_1_cfg.py --no_exec -n 58
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(58)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/0E5729E5-DAE3-E411-ACDF-4DFE3603C244.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/30862143-D9E3-E411-9C17-001E672489D0.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/363B1440-D9E3-E411-B0DF-18A90570ABE2.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/4ECF9143-D9E3-E411-90A0-18A9057029F4.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/5CF4B27B-D9E3-E411-AECD-001E672489D0.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/64747045-D9E3-E411-80A3-18A9057036C4.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/72712CDC-DAE3-E411-85B6-00259021A4B2.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/92CB82C1-D9E3-E411-8DCC-438653DDDC4A.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/B052E74E-D9E3-E411-A95C-001EC9ADDA06.root', 
        '/store/mc/RunIIWinter15wmLHE/ST_tW_top_5f_inclusiveDecays_13TeV-powheg/LHE/MCRUN2_71_V1-v1/40000/B4141CE4-DAE3-E411-A09A-2DE4005E3CCF.root'),
    inputCommands = cms.untracked.vstring('keep *', 
        'drop LHEXMLStringProduct_*_*_*'),
    dropDescendantsOfDroppedBranches = cms.untracked.bool(False)
)

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/TOP-RunIISummer15GS-00013-fragment.py nevts:58'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:TOP-RunIISummer15GS-00013.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.generator = cms.EDFilter("Pythia8HadronizerFilter",
    pythiaPylistVerbosity = cms.untracked.int32(1),
    filterEfficiency = cms.untracked.double(1.0),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    comEnergy = cms.double(13000.0),
    maxEventsToPrint = cms.untracked.int32(1),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        pythia8PowhegEmissionVetoSettings = cms.vstring('POWHEG:veto = 1', 
            'POWHEG:pTdef = 1', 
            'POWHEG:emitted = 0', 
            'POWHEG:pTemt = 0', 
            'POWHEG:pThard = 0', 
            'POWHEG:vetoCount = 100', 
            'SpaceShower:pTmaxMatch = 2', 
            'TimeShower:pTmaxMatch = 2'),
        processParameters = cms.vstring('POWHEG:nFinal = 2', 
            '6:m0 = 172.5'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'pythia8PowhegEmissionVetoSettings', 
            'processParameters')
    )
)


process.ProductionFilterSequence = cms.Sequence(process.generator)

# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.ProductionFilterSequence * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
